# react-native-open-email

## Getting started

`$ npm install react-native-open-email --save`

### Mostly automatic installation

`$ react-native link react-native-open-email`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-open-email` and add `OpenEmail.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libOpenEmail.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainApplication.java`
  - Add `import com.reactlibrary.OpenEmailPackage;` to the imports at the top of the file
  - Add `new OpenEmailPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-open-email'
  	project(':react-native-open-email').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-open-email/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-open-email')
  	```


## Usage
```javascript
import openEmailApp from 'react-native-open-email';

class ExampleComponent extends React.Component {

	_handlePress = () => {
		openEmailApp();
	}

	render() {
		return (
			<TouchableOpacity onPress={this._handlePress}>
				<Text>Open email app</Text>
			</TouchableOpacity>
		)
	}
}
```
