package com.reactlibrary;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;

import android.content.Intent;

public class OpenEmailModule extends ReactContextBaseJavaModule {
	private static final String REACT_MODULE = "OpenEmail";

	private final ReactApplicationContext reactContext;

	public OpenEmailModule(ReactApplicationContext reactContext) {
		super(reactContext);
		this.reactContext = reactContext;
	}

	@Override
	public String getName() {
		return "OpenEmail";
	}

	@ReactMethod
	public void openEmailApp() {
		Intent intent = new Intent(Intent.ACTION_MAIN);
		intent.addCategory(Intent.CATEGORY_APP_EMAIL);
		intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		getCurrentActivity().startActivity(intent);
	}
}
